> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkeia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Detail Agent

> Returns detailed information about a specific agent.

## Endpoint

`GET https://gateway.orkeia.ai/agents/{id}`

## Headers

```
authorization:  <your_token>
Content-Type: application/json
```

### Path Parameters

Send the agent's id as a query parameter.

```json theme={null}
{
  "id": "Agent ID (required)"
}
```

### Example (cURL)

```bash theme={null}
curl -X GET "https://gateway.orkeia.ai/agents/agent123" \
  -H "authorization:  <your_token>"
```

## Responses

### Response - Success

```json response theme={null}
{
  "status": "OK",
  "data": { 
	"Agent": {
  "name": "Agent Name",
  "enabled": "true",
  "model": "sabia-3",
  "auto": "false",
 "reasoning": "false",
  "publisher": "ork-123",
  "temperature": "1",
  "role": "content creator",
  "objective": "aims to perform such a task",
  "referencies": "reference text",
  "can.delegate": "false",
  "can_code": "false",
  "multimodal": "false",
  "sectors": ["market"],
  "tools": ["web_scrapper"],
  "knowledgeBases": ["market_base"]
	},
}
```

### 500 — Bad Request

```json theme={null}
{
  "status": "ERROR",
  "code": "server/error",
  "data": null
}
```

### 400 — Client Error

```json theme={null}
{
  "status": "ERROR",
  "code": "client/error",
  "data": null
}
```

### Response

```json theme={null}
{
  "id": "agent123",
  "name": "AI Agent",
  "enabled": true
}
```
